dpkg-trigger(1)

NOM
dpkg-trigger - Un utilitaire pour activer les actions différées de paquets

SYNOPSIS
dpkg-trigger [option...] nom-action-différée

dpkg-trigger [option...] commande

DESCRIPTION
dpkg-trigger est un outil pour activer explicitement les actions différées et pour vérifier leur gestion dans le fonctionnement de dpkg.

Utilisable par les scripts du responsable dans certaines situations complexes où un fichier d'actions différées (« triggers ») ou la directive activate du fichier de contrôle des actions différées ne sont pas suffisants. Peut également être utilisé pour des essais ou par les administrateurs système (noter que les actions différées ne seront alors pas exécutées par dpkg-trigger).

Les syntaxes non reconnues pour le nom des actions différées constituent une erreur pour dpkg-trigger.

This program was introduced in dpkg 1.14.17.

COMMANDES

--check-supported
    Vérifie si dpkg sait gérer les actions différées (généralement appelées depuis un script de post-installation). Retourne en sortie 0 si c'est le cas, ou 1 avec un message d'erreur sur stderr si ce n'est pas le cas. Toutefois, en règle générale, il est préférable de simplement activer l'action différée désirée à l'aide de dpkg-trigger.

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

OPTIONS

--admindir=répertoire
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /home/linuxbrew/.linuxbrew/var/lib/dpkg si DPKG_ADMINDIR n'a pas été défini.

--root=répertoire
    Définit le répertoire root à directory, ce qui définit le répertoire d'administration à « répertoire/home/linuxbrew/.linuxbrew/var/lib/dpkg » (depuis dpkg 1.21.0).

--by-package=paquet
    Indique le paquet qui sera marqué en attente de l'exécution de l'action différée (normalement défini par la variable d'environnement DPKG_MAINTSCRIPT_PACKAGE dans les scripts du responsable, qui nomme le paquet auquel le script appartient, et qui constitue la valeur par défaut).

--no-await
    Cette option fait en sorte que le paquet appelant T (s'il existe) n'a pas besoin d'attendre l'exécution de cette action différée ; I, le(s) paquet(s) associé(s) à l'action différée, ne sera pas ajouté à liste des paquets dont le traitement des actions différées est attendu par T et l'état de T reste inchangé. T peut être considéré installé même si les actions différées de I n'ont pas encore été exécutées.

--await
    Cette option a l'effet inverse de --no-await (depuis dpkg 1.17.21). Si le paquet intéressé a déclaré une directive «noawait », cette option ne sera pas effective. C'est actuellement le comportement par défaut.

--no-act
    Teste uniquement, n'apporte aucun changement.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée. Ou bien une commande de vérification ou de déclaration renvoie « true ».

1   Une commande de vérification ou de déclaration renvoie « false ».

2   Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande non valable, ou interactions avec le système, telles que des accès à la base de données, des allocations de mémoire, etc.

ENVIRONNEMENT

DPKG_ROOT
    Si cette variable est positionnée et que l'options --root n'est pas précisées, ce répertoire sera utilisé comme répertoire racine du système de fichiers (depuis dpkg 1.21.0).

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

DPKG_DEBUG
    Définit le masque de débogage (depuis dpkg 1.21.10) à partir d'une valeur octale. Actuellement, les drapeaux acceptés sont décrits dans l'option dpkg --debug, mais ces drapeaux n'auront pas tous un effet sur ce programme.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    If set, it will be used to decide whether to activate Native Language Support, also known as internationalization (or i18n) support (since dpkg 1.22.7). The accepted values are: 0 and 1 (default).

VOIR AUSSI
dpkg(1), deb-triggers(5), /home/linuxbrew/.linuxbrew/Cellar/dpkg/1.22.21/libexec/share/doc/dpkg/spec/triggers.txt.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.